﻿from aiogram.types import InlineKeyboardButton, InlineKeyboardMarkup

start_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text="Зарегистрироваться", callback_data="callback_registration")],    
    [InlineKeyboardButton(text="Авторизоваться", callback_data="callback_autorisation")]   
])

settings_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text="Настройки", callback_data='clb_settings_message')]
])

back_btn_profile = [InlineKeyboardButton(text="Назад", callback_data='callback_autorisation')]

special_settings_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text="Основные настройки", callback_data='clb_change_main_settings'), 
     InlineKeyboardButton(text="Риск-менеджмент", callback_data='clb_change_risk_management_settings')],

    [InlineKeyboardButton(text="Условия запуска", callback_data='clb_change_condition_settings'), 
     InlineKeyboardButton(text="Дополнительные параметры", callback_data='clb_change_additional_settings')],

     back_btn_profile
])

back_btn_list_settings = [InlineKeyboardButton(text="Назад", callback_data='clb_back_to_special_settings_message')] # Кнопка для возврата к списку каталога настроек
back_btn_list_settings_markup = InlineKeyboardMarkup(inline_keyboard=[[InlineKeyboardButton(text="Назад", callback_data='clb_back_to_special_settings_message')]]) # Клавиатура для возврата к списку каталога настроек

main_settings_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text='Режим торговли', callback_data='clb_change_trading_mode'), 
     InlineKeyboardButton(text='Тип маржи', callback_data='clb_change_margin_type')],

    [InlineKeyboardButton(text='Размер кредитного плеча', callback_data='clb_change_size_leverage'), 
     InlineKeyboardButton(text='Начальная ставка', callback_data='clb_change_starting_quantity')],

    [InlineKeyboardButton(text='Коэффициент Мартингейла', callback_data='clb_change_martingale_factor'), 
     InlineKeyboardButton(text='Максимльное кол-во ставок', callback_data='clb_change_maximum_quantity')],

     back_btn_list_settings
])

risk_management_settings_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text='Изм. цены прибыли', callback_data='clb_change_price_profit'), 
     InlineKeyboardButton(text='Изм. цены убытков', callback_data='clb_change_price_loss')],

    [InlineKeyboardButton(text='Иакс. риск на сделку', callback_data='clb_change_max_risk_deal')],

    back_btn_list_settings
])

condition_settings_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text='Триггер', callback_data='clb_change_trigger'), 
     InlineKeyboardButton(text='Фильтр времени', callback_data='clb_change_filter_time')],

    [InlineKeyboardButton(text='Фильтр волатильности', callback_data='clb_change_filter_volatility'), 
     InlineKeyboardButton(text='Внешние сигналы', callback_data='clb_change_external_cues')],

    [InlineKeyboardButton(text='Сигналы TradingView', callback_data='clb_change_tradingview_cues'), 
     InlineKeyboardButton(text='Webhook URL', callback_data='clb_change_webhook')],
     
    [InlineKeyboardButton(text='AI - аналитика', callback_data='clb_change_ai_analytics')],

    back_btn_list_settings
])

additional_settings_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text='Сохранить шаблон', callback_data='clb_change_save_pattern'), 
     InlineKeyboardButton(text='Автозапуск', callback_data='clb_change_auto_start')],

    [InlineKeyboardButton(text='Уведомления', callback_data='clb_change_notifications')],

    back_btn_list_settings
])

trading_mode_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text="Лонг", callback_data="trade_mode_long"),
    InlineKeyboardButton(text="Шорт", callback_data="trade_mode_short")],

    [InlineKeyboardButton(text="Свитч", callback_data="trade_mode_switch"),
    InlineKeyboardButton(text="Смарт", callback_data="trade_mode_smart")],

    back_btn_list_settings
])

margin_type_markup = InlineKeyboardMarkup(inline_keyboard=[
    [InlineKeyboardButton(text="Изолированный", callback_data="margin_type_isolated"),
    InlineKeyboardButton(text="Кросс", callback_data="margin_type_cross")],

    back_btn_list_settings
])