﻿import app.telegram.Keyboards.inline_keyboards as inline_markup
import app.telegram.Keyboards.reply_keyboards as reply_markup

import app.telegram.database.requests as rq

async def reg_new_user_default_risk_management_settings(id, message):
    tg_id = id

    await rq.set_new_user_default_risk_management_settings(tg_id)    


async def main_settings_message(message):
    text = f"""<b>Риск менеджмент</b>,

    Процент изменения цены для фиксации прибыли: 0

    Процент изменения цены для фиксации убытков: 0

    Максимальный риск на сделку (в % от баланса): 0 
    """

    await message.edit_text(text=text, parse_mode='html', reply_markup=inline_markup.risk_management_settings_markup)

async def price_profit_message(message, state):
    text =  'Введите число изменения цены для фиксации прибыли: '

    await message.answer(text=text, parse_mode='html', reply_markup=None)

async def price_loss_message(message, state):
    text =  'Введите число изменения цены для фиксации убытков: '

    await message.answer(text=text, parse_mode='html', reply_markup=None)

async def max_risk_deal_message(message, state):
    text =  'Введите число (процент от баланса) для изменения максимального риска на сделку: '

    await message.answer(text=text, parse_mode='html', reply_markup=None)